Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo
Interface Variable

All Superinterfaces:
  AttributeDef, Properties

All Known Implementing Classes:
  VariableImpl

public interface Variable
extends AttributeDef

Defines a named variable. Variable extends AttributeDef so that various AttributeDef support including validation, properties and bindings are made available to Variable too. However there is no support or inclusion of Variable in StructureDef apis.

Since:
  JDeveloper 10.1.3

Field Summary
`static java.lang.String` | `VAR_KIND_WHERE_CLAUSE_PARAM`

Fields inherited from interface oracle.jbo.AttributeDef
`ATTR_ASSOCIATED_ROW, ATTR_ASSOCIATED_ROWITERATOR, ATTR_DYNAMIC, ATTR_ENTITY_DERIVED, ATTR_PERSISTENT, ATTR_SQL_DERIVED, ATTR_TRANSIENT, ATTR_VARIABLE, READONLY, UPDATEABLE, UPDATEABLE_WHILE_NEW`

Method Summary
`java.lang.Object` | `clone()`
`java.lang.Object` | `convertToJava(java.lang.Object data)`
`byte` | `getAttributeKind()` Gets the attribute value.
`java.lang.String` | `getColumnName()` Overridden to return null in Variable implementations.
`java.lang.String` | `getColumnNameForQuery()` Overridden to return null in Variable implementations.
`java.lang.Object` | `getDefaultValue()`
`int` | `getElemSQLType()` Overridden to return -1;
`java.lang.Object` | `getExtendedData()`
`int` | `getSQLType()` Overridden to return -1;
`java.lang.String` | `getVariableKind()`
`VariableManager` | `getVariableManager()`
`boolean` | `isDefinedDefaultValue()` Passivation uses this to tell if the current value is the meta-data default.
`boolean` | `isPassivationNeeded()` Tells the framework whether or not to include this definition in the passivation snapshot that is about to occur.
`boolean` | `isPrimaryKey()` Overridden to return false;
`void` | `setDefaultValue(java.lang.Object val)`
`void` | `setExtendedData(java.lang.Object data)`
`void` | `setJavaType(java.lang.Class cls)`
`void` | `setMandatory(boolean b)`
`void` | `setName(java.lang.String name)`
`void` | `setPrecisionScale(int prec, int scale)`
`void` | `setUpdateableFlag(byte updateable)`
`void` | `setVariableKind(java.lang.String kind)`
`void` | `setVariableManager(VariableManager manager)`

Methods inherited from interface oracle.jbo.AttributeDef
`getElemType, getIndex, getJavaType, getName, getPrecision, getScale, getUIHelper, getUpdateableFlag, isMandatory, isQueriable, isSelected`

Methods inherited from interface oracle.jbo.Properties
`getProperties, getProperty, refreshProperty`

Field Detail

### VAR_KIND_WHERE_CLAUSE_PARAM

    public static final java.lang.String VAR_KIND_WHERE_CLAUSE_PARAM

  See Also:
    Constant Field Values

Method Detail

### clone

    public java.lang.Object clone()

### setName

    public void setName(java.lang.String name)

### getVariableManager

    public VariableManager getVariableManager()

### setVariableManager

    public void setVariableManager(VariableManager manager)

### getVariableKind

    public java.lang.String getVariableKind()

### setVariableKind

    public void setVariableKind(java.lang.String kind)

### getExtendedData

    public java.lang.Object getExtendedData()

### setExtendedData

    public void setExtendedData(java.lang.Object data)

### getDefaultValue

    public java.lang.Object getDefaultValue()

### setDefaultValue

    public void setDefaultValue(java.lang.Object val)

### setPrecisionScale

    public void setPrecisionScale(int prec,
                                  int scale)

### setUpdateableFlag

    public void setUpdateableFlag(byte updateable)

### setMandatory

    public void setMandatory(boolean b)

### setJavaType

    public void setJavaType(java.lang.Class cls)

### convertToJava

    public java.lang.Object convertToJava(java.lang.Object data)

### getAttributeKind

    public byte getAttributeKind()

  Description copied from interface: `AttributeDef`
  Gets the attribute value.
  Specified by:
    `getAttributeKind` in interface `AttributeDef`
  Returns:
    ATTR_VARIABLE

### getColumnName

    public java.lang.String getColumnName()

  Overridden to return null in Variable implementations.
  Specified by:
    `getColumnName` in interface `AttributeDef`
  Returns:
    the name of the column.

### getColumnNameForQuery

    public java.lang.String getColumnNameForQuery()

  Overridden to return null in Variable implementations.
  Specified by:
    `getColumnNameForQuery` in interface `AttributeDef`
  Returns:
    the column name to be used in query.

### getSQLType

    public int getSQLType()

  Overridden to return -1;
  Specified by:
    `getSQLType` in interface `AttributeDef`
  Returns:
    the JDBC type.
  See Also:
    `Types`

### isPrimaryKey

    public boolean isPrimaryKey()

  Overridden to return false;
  Specified by:
    `isPrimaryKey` in interface `AttributeDef`
  Returns:
    `true` if this is either a Primary Key attribute or part of the attributes that constitute the Primary Key for a given row.

### getElemSQLType

    public int getElemSQLType()

  Overridden to return -1;
  Specified by:
    `getElemSQLType` in interface `AttributeDef`
  Returns:
    the jdbc type (java.sql.Types.*) of this attribute's elements, or `java.sql.Types.NULL` if this attribute is not an array attribute.

### isPassivationNeeded

    public boolean isPassivationNeeded()

  Tells the framework whether or not to include this definition in the passivation snapshot that is about to occur. Each snapshot only includes objects that couldn't be recreated from their meta-data. Each variable has the concept of whether or not it is currently "dirty". i.e. The definition of the variable has somehow changed since it was last loaded from it's meta-data definition, or it was created dynamically.

### isDefinedDefaultValue

    public boolean isDefinedDefaultValue()

  Passivation uses this to tell if the current value is the meta-data default.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997, 2005, Oracle. All rights reserved.